Skip to main content

Tags

Tags are hash-prefixed keywords or phrases that appear in the title, description, or comments of a dataset. Tags can be used to index datasets by their contained tags with a search, which allows for topical dataset categorisation.


Objects

Tag

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe tag ID
namestringThe tag name
usagenumberUnsigned integerNumber of times the tag is used within the workspace
{
"id" : "913a9540-cb39-4bc6-bce4-69bacdf21b9c",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/tags/913a9540-cb39-4bc6-bce4-69bacdf21b9c"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/search?q=tag%3Afantastic"
}
}
}

Requests

View all tags in a workspace

GET /api/workspaces/{workspace-id}/tags

Returns all tags in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/tags' -i -X GET

Response

200 OK

Tag collection with HAL links.

{
"_embedded" : {
"tags" : [ {
"id" : "7d768c18-6b9f-4451-94b6-a8a26a88e796",
"name" : "postgres",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/tags/7d768c18-6b9f-4451-94b6-a8a26a88e796"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/search?q=tag%3Apostgres"
}
}
}, {
"id" : "913a9540-cb39-4bc6-bce4-69bacdf21b9c",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/tags/913a9540-cb39-4bc6-bce4-69bacdf21b9c"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/search?q=tag%3Afantastic"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/tags"
}
}
}

View all tags in the news for a workspace

GET /api/workspaces/{workspace-id}/news/tags

Returns all tags in the news for the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist

Response

200 OK

Tag collection with HAL links.


View a tag in a workspace

GET /api/workspaces/{workspace-id}/tags/{tag-id}

Returns the tag {tag-id} in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
  • Tag {tag-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/tags/913a9540-cb39-4bc6-bce4-69bacdf21b9c' -i -X GET

Response

200 OK

Tag with HAL links.

{
"id" : "913a9540-cb39-4bc6-bce4-69bacdf21b9c",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/tags/913a9540-cb39-4bc6-bce4-69bacdf21b9c"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/5ee52f03-678f-484a-8407-d788aa1385a4/search?q=tag%3Afantastic"
}
}
}

See Also